# std::type_info::before

From cppreference.com
< cpp‎ | types‎ | type info

bool before( const type_info& rhs ) const; |  |

Returns true if the type of this type_info precedes the type of `rhs` in the implementation's collation order. No guarantees are given; in particular, the collation order can change between the invocations of the same program.

### Parameters

rhs | - | another type information object to compare to

### Return value

true if the type of this type_info precedes the type of rhs in the implementation's collation order.

### Example

Run this code

    #include <iostream>
    #include <typeinfo>

    int main()
    {
      if(typeid(int).before(typeid(char)))
        std::cout << "int goes before char in this implementation.\n";
      else
        std::cout << "char goes before int in this implementation.\n";
    }

Possible output:

    char goes before int in this implementation.

### See also

operator==operator!= | checks whether the objects refer to the same type (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/types/type_info/before&oldid=90055"